nelmio_api_doc:
  documentation:
    info:
      title: C-Rent App Api
      description: "This is the C-Rent App Api."
      version: '%env(VERSION)%'
    paths:
      /customer/login:
        post:
          tags: [ CUSTOMER ]
          summary: Customer Login
          description:  Customer Login
          parameters:
            - name: email
              in: formData
              description: Customer E-Mail
              required: true
              type: string
            - name: password
              in: formData
              description: Customer password
              required: true
              format: password
              type: string

          responses:
            "200":
              description: Returned when successful
              examples:
                application/json:
                  success: true
                  result:
                    sid: string
                    rights: [
                        ThisRight: string
                      ]
                    customer_id: 12345678
                  refresh_token: string

    securityDefinitions:
      MySecurityScheme:
        type: apiKey
        scheme: bearer
        name: Authorization
        bearerFormat: JWT
      Authcode:
        type: apiKey
        name: authcode
        in: header
    security:
      - MySecurityScheme: [ ]
      - Authcode: [ ]
  areas: # to filter documented areas
    default:
      path_patterns: [ ^/ ]
  models:
    use_jms: true
    names:
      - { alias: Contract, type: App\Entity\Contract }
      - { alias: Pricelist, type: App\Entity\Pricelist }


